[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'ExtDlgs' (#lcl)

# TOpenPictureDialog.Create

Constructor for the class instance.

## Declaration

Source position: extdlgs.pas line 89

`public constructor TOpenPictureDialog.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner for the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited constructor.

Creates sets the values in the Options and Filter properties. Options is set to the value in the DefaultOpenDialogPictureOptions constant. Filter is set to the all files mask for common image format used on the platform or OS. This value is also assigned to the DefaultFilter property for the dialog.

Create allocates resources needed for the PictureGroupBox and ImageCtrl properties, and sets their parentage, alignment, and display properties.

## See also

TOpenPictureDialog.PictureGroupBox |  | PictureGroupBox - a groupbox related to a single picture ???
TOpenPictureDialog.ImageCtrl |  | TImage used to preview the content in an image file.
TOpenPictureDialog.DefaultFilter |  | DefaultFilter - the default filename filter.
TOpenPictureDialog.Filter |  | Contains a delimited list of descriptions and extensions for file available in the dialog.
TOpenPictureDialog.Options |  | Indicates the dialog options enabled for the class instance.
GraphicFilter |  | Gets a filter string for files using the specified graphic class type.